## wmsun 1.03

=== wmSun/Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
INCDIR = -I/usr/X11R6/include/X11
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib



# If you need to compile on a Linux, dont change anything. If
# compiling for Solaris, swap the LIBS below...
#
# For Linux (and other?) Machines...
#
LIBS   = -lXpm -lX11 -lXext
#
# For Sun Solaris Machines (I know it compiles on 2.6)...
#
# LIBS   = -lXpm -lX11 -lXext -lsocket


OBJS   = wmSun.o SunRise.o ../wmgeneral/wmgeneral.o


.c.o:
	$(CC) $(COPTS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmSun.o wmSun

wmSun.o: wmSun_master.xpm wmSun_mask.xbm 
wmSun:	$(OBJS) 
	$(CC) $(COPTS) $(SYSTEM) -lm -o wmSun $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmSun

install:: wmSun
	install -s -m 0755 wmSun $(DESTDIR)/bin
	install    -m 0644 wmSun.1 $(DESTDIR)/man/man1

## wmsun 1.03+1

=== debian/changelog ===
wmsun (1.03+1-2ubuntu1) natty; urgency=low

  * debian/patches/04_fix-as-needed-linking.diff:
    Fix linking with ld --as-needed.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 06 Dec 2010 10:50:55 +0100

wmsun (1.03+1-2) unstable; urgency=low

  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add ${misc:Depends} to the binary dependencies.

 -- Denis Briand <denis@narcan.fr>  Sun, 14 Mar 2010 18:02:23 +0100

wmsun (1.03+1-1) unstable; urgency=low

  * Use a clean upstream sources tarball.
  * Use quilt patch system.
  * Bump standards version to 3.8.3.
  * Remove Martin A. Godisch from uploaders field
    Thanks to him to have sponsored wmmoonclock.
  * Allow Debian Maintainers upload.
  * Use debhelper (>= 7).
  * Add compat file.
  * Add watch file.
  * Add README.source file.
  * Fix copyright-refers-to-symlink-license lintian tag.
  * Fix hyphen-used-as-minus-sign lintian tag into man file.
  * Remove debian/changelog.upstream and use patch to add it in the sources
  * Use symlink `wmsun' into debian/menu than `wmSun' binary file name.
  * Add #DEBHELPER# into postinst and postrm files.

 -- Denis Briand <denis@narcan.fr>  Mon, 02 Nov 2009 11:46:30 +0100

wmsun (1.03-29) unstable; urgency=low

  * Add Co-maintainer Martin A. Godisch
  * Updated standards version to 3.8.1

 -- Denis Briand <denis@narcan.fr>  Fri, 10 Apr 2009 18:00:50 +0200

wmsun (1.03-28) unstable; urgency=low

  * New maintainer, closes: #455543.

 -- Denis Briand <denis@narcan.fr>  Sun, 08 Mar 2009 15:24:21 +0100

wmsun (1.03-27) unstable; urgency=low

  * Applied patch for DST changes, closes: #414489.
    Thanks to Martin Stigge.
  * Removed db_purge in postrm, closes: #502521.
    Thanks to Cesare Tirabassi.
  * Fixed copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Oct 2008 10:03:16 +0100

wmsun (1.03-26) unstable; urgency=low

  * Enhanced display refresh rate, closes: #446681.
    Thanks to Peter Colberg.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 02 Feb 2008 17:57:36 +0100

wmsun (1.03-25) unstable; urgency=low

  * Fixed clean target, closes: #445622.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Oct 2007 12:41:45 +0200

wmsun (1.03-24) unstable; urgency=low

  * Changed display refresh rate to 100 ms, see: #440406.
  * Updated menu section.
  * Fixed distclean target.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Oct 2007 09:28:40 +0200

wmsun (1.03-23) unstable; urgency=low

  * Removed debconf, added README.Debian, closes: #413517.
  * Fixed timestamps.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 25 Mar 2007 10:40:34 +0200

wmsun (1.03-22) unstable; urgency=low

  * Updated Japanese translation file, closes: #405776.
    Thanks to Hideki Yamane.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 10 Jan 2007 19:26:12 +0100

wmsun (1.03-21) unstable; urgency=low

  * Updated control file.
  * Updated French translation file, closes: #402672.
    Thanks to Christian Perrier.
  * Updated Czech localization file, closes: #404382.
    Thanks to Miroslav Kure.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 09 Jan 2007 18:43:20 +0100

wmsun (1.03-20) unstable; urgency=low

  * Fixed debconf spelling.
  * Updated German debconf translation.
  * Updated control file.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Dec 2006 10:04:48 +0100

wmsun (1.03-19) unstable; urgency=low

  * Fixed longitude/latitude information URL, closes: #401872.
    Thanks to Jacopo.
  * Updated German debconf translation.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Dec 2006 09:23:55 +0100

wmsun (1.03-18) unstable; urgency=low

  * Updated build-dependencies according to xlibs-dev transition.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 30 Nov 2005 19:07:25 +0100

wmsun (1.03-17) unstable; urgency=low

  * Added Vietnamese debconf translation, closes: #324132.
    Thanks to Clytie Siddall.
  * Added Swedish debconf translation, closes: #331190.
    Thanks to Daniel Nylander.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 05 Oct 2005 19:43:35 +0200

wmsun (1.03-16) unstable; urgency=low

  * Added Czech debconf translation, closes: #294734.
    Thanks to Miroslav Kure.
  * Fixed POSIX compliance of debian/rules.
  * Removed watch file, upstream homepage is gone.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 11 Feb 2005 22:18:05 +0100

wmsun (1.03-15) unstable; urgency=low

  * Added Japanese debconf translation, closes: #236819.
    Thanks to Hideki Yamane.
  * Removed ucf/debconf and lintian workarounds.
  * Updated debian/menu, debian/rules, and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 08 Mar 2004 16:41:45 +0100

wmsun (1.03-14) unstable; urgency=low

  * Simplified ucf handling, see bug #199233, adjusted ucf dependency,
    closes: #201574.
  * Added Spanish debconf translation, closes: #201902.
    Thanks to Carlos Alberto Martín Edo.
  * Removed useless BUGS file.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 27 Jul 2003 15:56:32 +0200

wmsun (1.03-13) unstable; urgency=low

  * Improved ucf transition.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 29 Jun 2003 10:24:00 +0200

wmsun (1.03-12) unstable; urgency=low

  * Updated deb'configuration, added ucf support.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 27 Jun 2003 07:11:55 +0200

wmsun (1.03-11) unstable; urgency=low

  * Updated deb'configuration.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 30 May 2003 18:38:35 +0200

wmsun (1.03-10) unstable; urgency=low

  * Added french debconf translation, closes: #189225.
    Thanks to Christian Perrier.
  * Updated configuration.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 16 Apr 2003 09:52:25 +0200

wmsun (1.03-9) unstable; urgency=low



=== debian/control ===
Source: wmsun
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Denis Briand <denis@narcan.fr>
DM-Upload-Allowed: yes
Build-Depends: libx11-dev, libxext-dev, libxpm-dev, debhelper (>= 7)
Standards-Version: 3.8.4

Package: wmsun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmmoonclock, wmaker | afterstep
Description: Dockable WindowMaker SunRise/SunSet App
 wmSun displays the current day's Sun Rise and Set Times. You have to
 enter your Latitude and Longitude for it to work correctly. wmSun is
 designed to work with the WindowMaker dock, but will work with other
 window managers as well.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean:
	dh_testdir
	[ ! -f wmSun/Makefile ] || $(MAKE) -C wmSun clean
	dh_clean
	rm -f build-stamp

build:  build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C wmSun
	touch build-stamp

binary: binary-arch

binary-indep:

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install
	dh_installdocs TODO changelog
	dh_installman wmSun/wmSun.1
	dh_installchangelogs
	dh_installmenu
	dh_link usr/bin/wmSun usr/bin/wmsun
	dh_link usr/share/man/man1/wmSun.1.gz usr/share/man/man1/wmsun.1.gz
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean binary-indep binary-arch binary

=== debian/watch ===
version=3
#there is no upstream repository

## wmsun 1.04

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
INSTALL = install

# If you need to compile on a Linux, dont change anything. If
# compiling for Solaris, swap the LIBS below...
#
# For Linux (and other?) Machines...
#
LIBS   = -lXpm -lX11 -lXext -lm
#
# For Sun Solaris Machines (I know it compiles on 2.6)...
#
# LIBS   = -lXpm -lX11 -lXext -lsocket

OBJS   = wmsun.o SunRise.o wmgeneral/wmgeneral.o

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

all:	wmsun.o wmsun

wmsun.o: wmSun_master.xpm wmSun_mask.xbm

wmsun:	$(OBJS)
	$(CC) $(LDFLAGS) -o wmsun $^ $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmsun

install:: wmsun
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) wmsun $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 644 wmsun.1 $(DESTDIR)$(MANDIR)

=== debian/changelog ===
wmsun (1.04-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #788836).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump Build-Depends debhelper version to >= 9.
    - Remove DM-Upload-Allowed field.
    - Bump Standards-Version to 3.9.6.
    - Add Homepage and Vcs-*.
  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/{post*,README.Debian}
    - Remove files; rendered obsolete by dh_installmenu and/or the removal of
      debconf in version 1.03-23.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to pass CFLAGS from dpkg-buildflags.
  * debian/watch
    - Add download location.
  * debian/wmsun.install
    - Remove file; no longer necessary.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 15 Jun 2015 08:23:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: wmsun
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Denis Briand <denis@narcan.fr>
-DM-Upload-Allowed: yes
-Build-Depends: libx11-dev, libxext-dev, libxpm-dev, debhelper (>= 7)
-Standards-Version: 3.8.4
+Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
+Build-Depends: libx11-dev, libxext-dev, libxpm-dev, debhelper (>= 9)
+Standards-Version: 3.9.6
+Homepage: http://windowmaker.org/dockapps/?name=wmsun
+Vcs-Browser: https://github.com/d-torrance/wmsun
+Vcs-Git: https://github.com/d-torrance/wmsun
 
 Package: wmsun
 Architecture: any

## wmsun 1.05

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 #
 # For Linux (and other?) Machines...
 #
-LIBS   = -lXpm -lX11 -lXext -lm
+LIBS   = -lXpm -lX11 -lXext -lm -ldockapp
 #
 # For Sun Solaris Machines (I know it compiles on 2.6)...
 #
 # LIBS   = -lXpm -lX11 -lXext -lsocket
 
-OBJS   = wmsun.o SunRise.o wmgeneral/wmgeneral.o
+OBJS   = wmsun.o SunRise.o
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

=== debian/changelog ===
wmsun (1.05-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:51:12 +0000

wmsun (1.05-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Add libdockapp-dev to Build-Depends.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address.
    - Remove wmgeneral files; these have been moved to libdockapp.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 28 Aug 2015 07:57:05 -0400

=== debian/control ===
Source: wmsun
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libdockapp-dev (>= 1:0.7.0),
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmsun
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmsun.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmsun.git

Package: wmsun
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker | afterstep, wmmoonclock
Description: Dockable WindowMaker SunRise/SunSet App
 wmSun displays the current day's Sun Rise and Set Times. You have to
 enter your Latitude and Longitude for it to work correctly. wmSun is
 designed to work with the WindowMaker dock, but will work with other
 window managers as well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmsun-*.download ; then \
		rename -f -v "s/wmsun-(.+)\.download/wmsun_\1\.orig\.tar\.gz/" \
			../wmsun-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmsun \?download=wmsun-(.+).tar.gz

## wmsun 1.06

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1
 INSTALL = install
+WMSUN_VERSION = 1.06
 
 # If you need to compile on a Linux, dont change anything. If
 # compiling for Solaris, swap the LIBS below...
@@ -19,7 +20,8 @@
 OBJS   = wmsun.o SunRise.o
 
 .c.o:
-	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o
+	$(CC) $(CPPFLAGS) -DWMSUN_VERSION=\"$(WMSUN_VERSION)\" $(CFLAGS) -c $< \
+		-o $*.o
 
 all:	wmsun.o wmsun
 
@@ -32,10 +34,16 @@
 	for i in $(OBJS) ; do \
 		rm -f $$i; \
 	done
-	rm -f wmsun
+	rm -f wmsun wmsun-$(WMSUN_VERSION).tar.gz
 
 install:: wmsun
 	$(INSTALL) -d $(DESTDIR)$(BINDIR)
 	$(INSTALL) wmsun $(DESTDIR)$(BINDIR)
 	$(INSTALL) -d $(DESTDIR)$(MANDIR)
 	$(INSTALL) -m 644 wmsun.1 $(DESTDIR)$(MANDIR)
+
+dist: BUGS COPYING ChangeLog COPYING Makefile README SunRise.c TODO wmsun.1 \
+	wmsun.c wmSun_mask.xbm wmSun_master.xpm
+	tar -cf wmsun-$(WMSUN_VERSION).tar \
+		--transform "s|^|wmsun-$(WMSUN_VERSION)/|" $^
+	gzip -n wmsun-$(WMSUN_VERSION).tar

=== debian/changelog ===
wmsun (1.06-3) unstable; urgency=medium

  * d/control
    - add myself to `Uploaders`
  * d/patches
    - add patch to remove pre-ANSI function declarations (Closes: #1098109)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 27 Feb 2025 21:14:15 +0000

wmsun (1.06-2) unstable; urgency=medium

  * Team upload.
  * d/control: bump Standards-Version to 4.7.0
  * d/patches: add patch to fix type of arguments to `gmtime_r(3)` and
    `localtime_r(3)` (Closes: #1091242)

 -- Jeremy Sowden <azazel@debian.org>  Tue, 24 Dec 2024 16:48:16 +0000

wmsun (1.06-1) unstable; urgency=medium

  [ Doug Torrance ]
  * New upstream release.
  * debian/control
    - Update Maintainer email address to tracker.d.o.
    - Update Vcs-* after migration to Salsa.
    - Update Homepage to dockapps.net.
    - Drop versioned dependency on libdockapp-dev; was >= 1:0.7.0, but
      1:0.7.2 is now in o-o-stable.
    - Bump Standards-Version to 4.6.0.
    - Add Rules-Requires-Root field (no).
  * debian/copyright
    - Update Format to https.
    - Update upstream mailing list address.
    - Update Source to dockapps.net.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/rules
    - Remove out-of-date get-orig-source target.
    - Export all hardening flags.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/metadata/upstream
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Bump to version 4 format.
    - Update download url to dockapps.net.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 30 Aug 2021 12:28:50 -0400

=== debian/control ===
Source: wmsun
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <azazel@debian.org>
Build-Depends: debhelper-compat (= 13),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.dockapps.net/wmsun
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmsun
Vcs-Git: https://salsa.debian.org/wmaker-team/wmsun.git

Package: wmsun
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker | afterstep, wmmoonclock
Description: Dockable WindowMaker SunRise/SunSet App
 wmSun displays the current day's Sun Rise and Set Times. You have to
 enter your Latitude and Longitude for it to work correctly. wmSun is
 designed to work with the WindowMaker dock, but will work with other
 window managers as well.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
